economics

Latest values with previous/high/low and source attribution

https://docs.economicsapi.com/endpoints/getlatest
gethttps://api.economicsapi.com/v1/latest
curl -X GET "https://api.economicsapi.com/v1/latest" \
  -H "Authorization: Bearer sk_live_xxxxxxxxxxxxxxxxxxxx"

Authorization

Authorizationstringheaderrequired

Bearer token. API key from your economicsapi dashboard Format: `Bearer sk_live_xxxxxxxxxxxxxxxxxxxx`.

Query parameters

countrystring | null

ISO3, slug, or group token (g20, emu); comma-listable

indicatorstring | null

kpi_id, slug, or alias; comma-listable

groupstring | null

indicator group filter, e.g. prices

Response

200Successful Responseapplication/json
dataLatestCard[]required
401Missing or invalid API keyapplication/json
errorstring
messagestring
request_idstring
422Validation Errorapplication/json
detailValidationError[]
429Rate limit exceededapplication/json
errorstring
messagestring
request_idstring
Response
{
  "data": [
    {
      "series_id": "id_a1b2c3d4",
      "country_id": "id_a1b2c3d4",
      "country": "United States",
      "kpi_id": "id_a1b2c3d4",
      "indicator": "example",
      "slug": "example",
      "group": "example",
      "latest_value": 0,
      "latest_value_date": "2026-01-01",
      "previous_value": 0,
      "previous_value_date": "2026-01-01",
      "highest_value": 0,
      "highest_value_date": "2026-01-01",
      "lowest_value": 0,
      "lowest_value_date": "2026-01-01",
      "unit": "example",
      "unit_code": "example",
      "frequency": "example",
      "adjustment": "example",
      "source_name": "Acme Corp",
      "source_url": "https://example.com/callback",
      "license_id": "id_a1b2c3d4",
      "attribution_text": "example",
      "first_value_date": "2026-01-01",
      "last_update": "2026-01-01T00:00:00Z"
    }
  ]
}